ObjectARX学习笔记(十一)----创建圆弧AcDbArc

AcDbArc(
    const AcGePoint3d& center, 
    double radius, 
    double startAngle, 
    double endAngle
);
Parameters
Description
const AcGePoint3d& center
Input center point of the arc
double radius
Input radius of the arc
double startAngle
Input starting angle of the arc
double endAngle
Input ending angle of the arc 
AcDbArc(
    const AcGePoint3d& center, 
    const AcGeVector3d& normal, 
    double radius, 
    double startAngle, 
    double endAngle
);
Parameters
Description
const AcGePoint3d& center
Input center point of the arc
const AcGeVector3d& normal
Input normal vector of the plane containing the arc
double radius
Input radius of the arc
double startAngle
Input starting angle of the arc
double endAngle
Input ending angle of the arc 


#define PI 3.1415926535897932384626433832795L

//创建圆弧
AcGePoint3d ptSart(0,0,0);
//输入的角度是弧度

AcDbArc *pArc= new AcDbArc(ptSart,200,0 , 90* PI / 180.0);

if (pArc == NULL)
       return;


  //将实体添加到模型空间是固定的代码,
AcDbDatabase* pDb = NULL;
pDb = acdbHostApplicationServices()->workingDatabase();
if (pDb == NULL)
return ;


AcDbBlockTable * pBlkTable ; 
if(pDb->getBlockTable(pBlkTable , AcDb::kForRead) != Acad::eOk ) 
return ;


AcDbBlockTableRecord * pRec ;
if(pBlkTable->getAt(ACDB_MODEL_SPACE , pRec , AcDb::kForWrite) != Acad::eOk) 
return ;
pBlkTable->close();


AcDbObjectId objId = AcDbObjectId::kNull;


if(pRec->appendAcDbEntity(objId, pArc) != Acad::eOk)  //将线添加到dwg中
return ;


pArc->close() ;
pRec->close() ;
  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值